ClawOps Docs
API Reference

Webhook 등록

POST
/v1/accounts/{accountId}/webhooks

이벤트 알림을 받을 webhook URL을 등록합니다. 하나의 계정에 여러 webhook을 등록할 수 있습니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/accounts/AC1a2b3c4d/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "https://my-app.com/webhook",    "events": [      "message.sent",      "transcript.completed",      "recording.completed"    ]  }'
{
  "id": "clxyz123",
  "account_id": "AC1a2b3c4d",
  "url": "https://my-app.com/webhook",
  "events": [
    "message.sent",
    "message.received"
  ],
  "active": true,
  "created_at": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}